Bug 1417079 - [Improvement] prevent running pulp-manage-db when pulp workers are up
Summary: [Improvement] prevent running pulp-manage-db when pulp workers are up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On: 1374723
Blocks: CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:55 UTC by pm-sat@redhat.com
Modified: 2019-12-16 07:30 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1374723
Environment:
Last Closed: 2018-02-21 16:33:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 2186 Normal CLOSED - CURRENTRELEASE As a user, pulp-manage-db refuses to run if other pulp processes are running 2017-02-01 21:01:59 UTC
Red Hat Knowledge Base (Solution) 2534911 None None None 2017-01-27 07:55:49 UTC
Red Hat Knowledge Base (Solution) 2607261 None None None 2017-01-27 07:55:49 UTC
Red Hat Knowledge Base (Solution) 2608761 None None None 2017-01-27 07:55:49 UTC

Comment 2 pulp-infra@redhat.com 2017-01-30 14:02:07 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2017-01-30 14:02:13 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2017-02-01 21:02:00 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 5 Bruno Rocha 2017-12-18 18:08:39 UTC
[root@cloud-qe-19 ~]# rpm -q satellite
satellite-6.3.0-23.0.el7sat.noarch

for i in pulp_resource_manager pulp_workers pulp_celerybeat; do service $i start; done

Redirecting to /bin/systemctl start pulp_resource_manager.service
Redirecting to /bin/systemctl start pulp_workers.service
Redirecting to /bin/systemctl start pulp_celerybeat.service


sudo -u apache pulp-manage-db

Attempting to connect to localhost:27017
Attempting to connect to localhost:27017
Write concern for Mongo connection: {}

The following processes might still be running:
	reserved_resource_worker-1@
	reserved_resource_worker-2@
	reserved_resource_worker-0@
	reserved_resource_worker-3@
	resource_manager@
	scheduler@

Please wait 1 seconds while Pulp confirms this.  

The following processes are still running, please stop the running workers before retrying the pulp-manage-db command.
 	reserved_resource_worker-1@
	reserved_resource_worker-2@
	reserved_resource_worker-0@
	reserved_resource_worker-3@
	resource_manager@
	scheduler@

Comment 6 Bryan Kearney 2018-02-21 16:33:29 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.